com.beaglebuddy.id3.v23.frame_body

## Enum ID3v23FrameBodyRelativeVolumeAdjustment.Direction

- java.lang.Object
- - java.lang.Enum<ID3v23FrameBodyRelativeVolumeAdjustment.Direction>
  - - com.beaglebuddy.id3.v23.frame_body.ID3v23FrameBodyRelativeVolumeAdjustment.Direction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ID3v23FrameBodyRelativeVolumeAdjustment.Direction>
  Enclosing class:
    ID3v23FrameBodyRelativeVolumeAdjustment

      public static enum ID3v23FrameBodyRelativeVolumeAdjustment.Direction
      extends java.lang.Enum<ID3v23FrameBodyRelativeVolumeAdjustment.Direction>

  valid ID3v2.3 volume directions

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DECREASE_VOLUME` decrease the volume on the specified channel
    `INCREASE_VOLUME` increase the volume on the specified channel

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ID3v23FrameBodyRelativeVolumeAdjustment.Direction` | `getDirection(int direction)` convert an integral value to its corresponding enum.
    `java.lang.String` | `toString()`
    `static ID3v23FrameBodyRelativeVolumeAdjustment.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ID3v23FrameBodyRelativeVolumeAdjustment.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DECREASE_VOLUME

          public static final ID3v23FrameBodyRelativeVolumeAdjustment.Direction DECREASE_VOLUME

      decrease the volume on the specified channel

    - #### INCREASE_VOLUME

          public static final ID3v23FrameBodyRelativeVolumeAdjustment.Direction INCREASE_VOLUME

      increase the volume on the specified channel

  - ### Method Detail

    - #### values

          public static ID3v23FrameBodyRelativeVolumeAdjustment.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ID3v23FrameBodyRelativeVolumeAdjustment.Direction c : ID3v23FrameBodyRelativeVolumeAdjustment.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ID3v23FrameBodyRelativeVolumeAdjustment.Direction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ID3v23FrameBodyRelativeVolumeAdjustment.Direction>`
      Returns:
        a string representation of the Direction

    - #### getDirection

          public static ID3v23FrameBodyRelativeVolumeAdjustment.Direction getDirection(int direction)

      convert an integral value to its corresponding enum.
      Parameters:
        `direction` - the integral value that is to be converted to a Direction enum.
      Returns:
        the Direction enum whose ordinal value corresponds to the given integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if there is no Direction enum whose ordinal value corresponds to the given integral value.